SWFieldManagerInternal::FieldScript Struct Reference documentation

SWFieldManagerInternal::FieldScript Struct Referencefinal

Internal: a script field. More...

Inheritance diagram for SWFieldManagerInternal::FieldScript:

## Public Member Functions
| FieldScript ()
| constructor
| FieldScript (Field const &orig)
| copy constructor
| ~FieldScript () final
| destructor
void | print (std::ostream &o) const final
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const
| add to send the zone data

## Public Attributes
librevenge::RVNGString | m_code
| the code
librevenge::RVNGString | m_scriptType
| the scriptType
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor

## Detailed Description

Internal: a script field.

## Constructor & Destructor Documentation

## ◆ FieldScript() [1/2]

SWFieldManagerInternal::FieldScript::FieldScript | ( |  | ) |
| inline

constructor

## ◆ FieldScript() [2/2]

SWFieldManagerInternal::FieldScript::FieldScript | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldScript()

SWFieldManagerInternal::FieldScript::~FieldScript | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldScript::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

Referenced by print().

## Member Data Documentation

## ◆ m_code

librevenge::RVNGString SWFieldManagerInternal::FieldScript::m_code

the code

Referenced by FieldScript(), FieldScript(), and print().

## ◆ m_scriptType

librevenge::RVNGString SWFieldManagerInternal::FieldScript::m_scriptType

the scriptType

Referenced by FieldScript(), FieldScript(), and print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx